<?php
	session_start();
	include("config.php");
	$id=mysqli_real_escape_string($mysqli,$_POST["txtId"]);
	$judul=mysqli_real_escape_string($mysqli,$_POST["txtJudul"]);
	$info=mysqli_real_escape_string($mysqli,$_POST["txtInfo"]);

	$srcfoto=$_FILES["txtFoto"]["tmp_name"];
	$nmfoto=strtolower(str_replace(" ", "_", $judul));

	$tanggal=date("Y-m-d H:i:s");
	$penulis=$_SESSION["ses_admin_name"];

	if(!empty($srcfoto)){
		if($_FILES["txtFoto"]["type"]=="image/jpeg" || $_FILES["txtFoto"]["type"]=="image/png" || $_FILES["txtFoto"]["type"]=="image/gif"){
			if($_FILES["txtFoto"]["type"]=="image/jpeg"){
				$ext=".jpg";
			}elseif($_FILES["txtFoto"]["type"]=="image/png"){
				$ext=".png";
			}elseif($_FILES["txtFoto"]["type"]=="image/gif"){
				$ext=".gif";
			}
			$nmfoto=$nmfoto . $ext;
			move_uploaded_file($srcfoto, "../foto_berita/$nmfoto");
		}else{
			msgbox("Error: Format file gambar harus: JPG, PNG atau GIF.");
			echo "<script language='javascript'>
					history.back();
				  </script>";
			die();
		}
	}

	if(!empty($srcfoto)){
		$sql="UPDATE tentang_kami SET judul='$judul', isi='$info', tanggal='$tanggal', penulis='$penulis', foto='$nmfoto' WHERE id='$id'";
	}else{
		$sql="UPDATE tentang_kami SET judul='$judul', isi='$info', tanggal='$tanggal', penulis='$penulis' WHERE id='$id'";
	}

	$qry=mysqli_query($mysqli,$sql);
	
	if($qry){
	
		msgbox("Info Tentang Kami berhasil diubah...");
		lempar("admin.php?page=ls_about&page_desc=Kelola Halaman Tentang Kami");
	}else{
		
		msgbox("Error: ".mysqli_error($mysqli));
		lempar("admin.php?page=ls_about&page_desc=Kelola Halaman Tentang Kami");
	}
?>